package events;

import objects.SoccerMatchAnalysis;
import org.apache.wicket.behavior.AbstractAjaxBehavior;
import org.apache.wicket.event.Broadcast;
import org.apache.wicket.event.IEvent;
import org.apache.wicket.event.IEventSource;

public class MatchSelectedEvent extends AbstractAjaxBehavior implements IEvent {
    private final SoccerMatchAnalysis selectedMatch;

    public MatchSelectedEvent(SoccerMatchAnalysis selectedMatch) {
        this.selectedMatch = selectedMatch;
    }

    public SoccerMatchAnalysis getSelectedMatch() {
        return selectedMatch;
    }

    @Override
    public void onRequest() {
    }

    @Override
    public void stop() {

    }

    @Override
    public boolean isStop() {
        return false;
    }

    @Override
    public void dontBroadcastDeeper() {

    }

    @Override
    public Broadcast getType() {
        return null;
    }

    @Override
    public IEventSource getSource() {
        return null;
    }

    @Override
    public Object getPayload() {
        return null;
    }
}
